> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# List Batch Runs

> List batch runs for the team, optionally filtered by collection, eval rubric, and/or pipeline.



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/eval_batch_runs
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/eval_batch_runs:
    get:
      tags:
        - collections
      summary: List Batch Runs
      description: >-
        List batch runs for the team, optionally filtered by collection, eval
        rubric, and/or pipeline.
      operationId: list_batch_runs_api_v1_eval_batch_runs_get
      parameters:
        - name: collection_id
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Collection Id
        - name: eval_rubric_id
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Eval Rubric Id
        - name: pipeline_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Pipeline Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvalBatchRunListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    EvalBatchRunListResponse:
      properties:
        batch_runs:
          items:
            $ref: '#/components/schemas/EvalBatchRunResponse'
          type: array
          title: Batch Runs
        total:
          type: integer
          title: Total
      type: object
      required:
        - batch_runs
        - total
      title: EvalBatchRunListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EvalBatchRunResponse:
      properties:
        id:
          type: integer
          title: Id
        collection_id:
          type: integer
          title: Collection Id
        eval_rubric_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Eval Rubric Id
        pipeline_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Pipeline Id
        pipeline_type:
          type: string
          title: Pipeline Type
        status:
          type: string
          title: Status
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        total_files:
          type: integer
          title: Total Files
        completed_files:
          type: integer
          title: Completed Files
        avg_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Score
        created:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created
      type: object
      required:
        - id
        - collection_id
        - eval_rubric_id
        - pipeline_id
        - pipeline_type
        - status
        - started_at
        - completed_at
        - total_files
        - completed_files
        - avg_score
        - created
      title: EvalBatchRunResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````